#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package};

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Bean implements Serializable {
	private List<String> items;
	private String selectedItem;
	private static final long serialVersionUID = 1L;
	private boolean displayWelcomeMessage;

	public void setDisplayWelcomeMessage(boolean displayWelcomeMessage) {
		this.displayWelcomeMessage = displayWelcomeMessage;
	}

	public boolean isDisplayWelcomeMessage() {
		return displayWelcomeMessage;
	}

	public void loadItems() {
		items = new ArrayList<String>();
		items.add("Item 1");
		items.add("Item 2");
		items.add("Item 3");
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}

	public String goHome() {
		// this will tell pretty to redirect the client to the home-page
		// no parameters are mapped, so this is pretty simple
		displayWelcomeMessage = false;
		return "pretty:home";
	}

	public String goHomeAndWelcome() {
		// this will tell pretty to redirect the client to the home-page
		// since there is a managed query-parameter defined in the mapping,
		// PrettyFaces will generate the URL, and append the mapped param
		// eg: /home?displayWelcome=true
		displayWelcomeMessage = true;
		return "pretty:home";
	}

	public void setSelectedItem(String selectedItem) {
		this.selectedItem = selectedItem;
	}

	public String getSelectedItem() {
		return selectedItem;
	}
}
